<?php
/**
 * Plugin Name: FiboFilters
 * Plugin URI: https://fibofilters.com?utm_source=wp-admin&utm_medium=referral&utm_campaign=author_uri&utm_gen=utmdc
 * Description: FiboFilters
 * Version: 1.11.0
 * Update URI: https://api.freemius.com
 * Author: FiboFilters Team
 * Author URI: https://fibofilters.com?utm_source=wp-admin&utm_medium=referral&utm_campaign=author_uri&utm_gen=utmdc
 * Text Domain: fibofilters
 * Domain Path: /languages
 * Requires at least: 6.4
 * Requires PHP: 7.4
 * WC requires at least: 8.8
 * WC tested up to: 10.4
 *
 * @fs_premium_only /build/front-pro/
 * @fs_premium_only /generated/ProCachedContainer.php
 *
 * @fs_ignore /vendor, /vendor-prefixed
 *
 * @package FiboFilters
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( PHP_VERSION_ID < 70400 ) {
	/**
	 * Check for minimum supported PHP version
	 *
	 * @return void
	 */
	function fibofilters_minimum_php_version_notice() {
		?>
		<div class="notice notice-error fibofilters-notice">
			<p>
				<?php
				echo wp_kses_post(
					sprintf(
						/* translators: 1: Plugin name 2: PHP version */
						_x( '%1$s: You need PHP version at least 7.4 to run this plugin. You are currently using PHP version %2$s.', '[admin]', 'fibofilters' ),
						'<strong>FiboFilters</strong>',
						PHP_VERSION
					)
				)
				?>
			</p>
		</div>
		<?php
	}

	add_action( 'admin_notices', 'fibofilters_minimum_php_version_notice' );

	return;
}

$fibofilters_loader = __DIR__ . '/fibofilters_loader.php';
if ( file_exists( $fibofilters_loader ) ) {
	require_once $fibofilters_loader;
}
